package com.ywt.alipaympapi.core.utils;

import com.ywt.alipaympapi.models.Constants;
import com.ywt.alipaympapi.models.enums.TerminalEnum;

/**
 * @author Walker
 * Created on 2022/9/14
 */
public final class BizUtil {
    /**
     * 根据当前终端获取所在医院 id
     *
     * @return 医院 id
     */
    public static int getCurrentHospitalId() {
        switch (TerminalEnum.valueOf(ContextHelper.getCurrentTerminalWrapped())) {
            case NFYYBYFY_ALIPAY_MP:
            case NFYYBYFY_WXAPP:
                return Constants.HOSPITAL_ID_NFYYBYFY;
            default:
                return 0;
        }
    }
}
