package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.DepositTradeListResponseData;
import lombok.Data;

/**
 * 押金缴纳列表请求体
 */
@Data
public class DepositTradeListRequest implements IsvRequest<DepositTradeListResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String startDate;//查询筛选条件，开始时间

    private String endDate;//查询筛选条件，结束时间

    private String inpatientId;//查询筛选条件，住院记录id

    @Override
    public String serviceName() {
        return "isvRequest.deposit.list";
    }
}