package com.ywt.request.pay;

import com.ywt.model.IsvPageRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.pay.PayHistoryResponseData;
import lombok.Data;

/**
 * 查询订单列表的请求
 **/
@Data
public class PayHistoryRequest implements IsvPageRequest<PayHistoryResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String cardNum;//就诊卡卡号
    private String startTime;//查询开始时间
    private String endTime;//查询结束时间
    private int pageIndex;//页码
    private int pageSize;//页条数

    private String userId;//用户唯一id
    private Integer type;//订单类型标识，现阶段主要是挂号费和充值订单; 1-挂号费订单 2-充值订单 9-全部（默认）
    private String status;//订单状态;0-待支付 1-已支付 9-已取消, 如果要传多个，使用逗号传多个状态


    @Override
    public String serviceName() {
        return "isvRequest.pay.payHistory";
    }
}
