package com.ywt.request.register;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.register.OrderConfirmResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 挂号确认请求体
 **/
@Getter
@Setter
@ToString
public class OrderConfirmRequest implements IsvRequest<OrderConfirmResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;//用户唯一识别号
    private String doctorId;//医生唯一识别号
    private String orderSourceId;//号源id
    private String cardNum;//就诊卡卡号

    @Override
    public String serviceName() {
        return "isvRequest.order.orderConfirm";
    }
}
