package com.ywt.request.register;

import com.ywt.model.IsvPageRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.register.QueryOrderListResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 预约单列表
 * 预约单列表请求体
 **/
@Getter
@Setter
@ToString
public class QueryOrderListRequest implements IsvPageRequest<QueryOrderListResponseData>, IAppIdRequest, IUserIdRequest {


    private String appId;//医院小程序的AppId
    private String userId;//用户Id
    private String startTime;//查询开始时间段
    private String endTime;//查询截止时间段
    private String cardNum;//就诊卡卡号
    private int pageIndex;//页码
    private int pageSize;//页条数
    private String type;//挂号类型，expert：专家号，normal：普通号

    @Override
    public String serviceName() {
        return "isvRequest.order.orderList";
    }
}
